local _G = getfenv(0)

function Skinner:EnhancedStackSplit()
	if not self.db.profile.StackSplit then return end

	StackSplitFrame:SetHeight(StackSplitFrame:GetHeight() + 40)

	self:moveObject(StackSplitText, nil, nil, "+", 20)	
	self:moveObject(StackSplitLeftButton, "+", 5, "+", 20)	
	self:moveObject(StackSplitRightButton, "-", 5, "+", 20)	
	self:moveObject(StackSplitOkayButton, nil, nil, "+", 36)	
	self:moveObject(StackSplitCancelButton, nil, nil, "+", 36)	

	self:removeRegions(EnhancedStackSplitFrame, {1})

	for i = 1, 6 do
		self:moveObject(_G["EnhancedStackSplitButton"..i], "-", 6, "+", 24)	
	end

	self:moveObject(EnhancedStackSplitMaxTextFrame, nil, nil, "+", 20)
	self:moveObject(EnhancedStackSplitModeTXTButton, "-", 5, "+", 22)
	
end
